Zimbra dependencies per Operating System

Zimbra dependencies per Operating System

   KB 21725        Last updated on 01/18/2018  




0.00
(0 votes)

Purpose

Before installing Zimbra Collaboration 8.0.x, 8.5.x, 8.6.x or later, some dependencies must be installed. The specific dependencies can vary per operating system.

Resolution

Below is a list by Zimbra Collaboration version and operating system of the required dependencies:

Zimbra 8.7.x and above

Starting from Zimbra Collaboration 8.7 and above, Zimbra relies in our own repository packaging system, which means the Zimbra installation script take care of the OS dependencies automatically.

Zimbra 8.6.x

Ubuntu 14.04

sudo apt-get install -y netcat-openbsd sudo libidn11 libpcre3 libgmp10 libexpat1 libstdc++6 libperl5.18 libaio1 resolvconf unzip pax sysstat sqlite3
  • Add the libreoffice package to use the High Fidelity Document Preview feature

Ubuntu 12.04

sudo apt-get install -y  netcat-openbsd sudo libidn11 libpcre3 libgmp3c2 libexpat1 libstdc++6 libperl5.14 libaio1 resolvconf unzip pax perl-5.10.1 sysstat sqlite3
  • Add the libreoffice package to use the High Fidelity Document Preview feature

RHEL7 64

yum install nmap-ncat sudo libidn gmp libaio libstdc++ unzip perl-5.10.1 sysstat sqlite
  • Add the libreoffice and libreoffice-headless package to use the High Fidelity Document Preview feature

RHEL6 64

yum install nc sudo libidn gmp libaio libstdc++ unzip perl-core perl-5.16.3 sysstat sqlite
  • Add the libreoffice and libreoffice-headless package to use the High Fidelity Document Preview feature

SLES11 64

perl-5.10.0 sysstat sqlite3
  • Add the libreoffice package to use the High Fidelity Document Preview feature

Zimbra 8.0.x

Ubuntu 14.04

sudo apt-get install -y netcat-openbsd sudo libidn11 libpcre3 libgmp10 libexpat1 libstdc++6 libperl5.18 libaio1 unzip pax sysstat sqlite3

Ubuntu 12.04

sudo apt-get install -y netcat-openbsd sudo libidn11 libpcre3 libgmp3c2 libexpat1 libstdc++6 libperl5.14 libaio1 pax perl-5.14.2 sysstat sqlite3

Ubuntu 10.04

sudo apt-get install -y netcat-openbsd sudo libidn11 libpcre3 libgmp3c2 libexpat1 libstdc++6 libperl5.10 libaio1 pax perl-5.10.1 sysstat sqlite3

RHEL7 64

yum install nmap-ncat sudo libidn gmp libaio libstdc++ unzip perl-core perl-5.16.3 sysstat sqlite

RHEL6 64

yum install nc sudo libidn gmp libaio perl-5.10.1 sysstat sqlite

SLES11 64

netcat sudo libidn gmp libaio perl-5.10.0 sysstat sqlite3

Additional Content

No additional content.

Verified Against: Zimbra Collaboration 8.7, 8.6, 8.0 Date Created: 02/20/2015
Article ID: https://wiki.zimbra.com/index.php?title=Zimbra_dependencies_per_Operating_System Date Modified: 01/18/2018



Try Zimbra

Try Zimbra Collaboration with a 60-day free trial.
Get it now »

Want to get involved?

You can contribute in the Community, Wiki, Code, or development of Zimlets.
Find out more. »

Looking for a Video?

Visit our YouTube channel to get the latest webinars, technology news, product overviews, and so much more.
Go to the YouTube channel »


Wiki/KB reviewed by Fred Jorge Jenny Last edit by Jorge de la Cruz
Jump to: navigation, search